Subject: Room mate for Sanibel Symposium

From: [email-masked] (Uko Maran)
Date: Fri, 19 Jan 1996 10:23:28 -0500 (EST)

Hi,

Is there still enyone out there who would like to share room with
me at the Sanibel Symposium from 02/28 to 3/2. Please respond to
phone numbers below or send an e-mail.

With best wishes,

Uko 
--                                                                    --
Department of Chemistry        |         Phones: (352) 392-0554 (office)
University of Florida          |                 (352) 392-9865 (room)
PO Box 117200 M-B-221          |            Fax: (352) 392-9199
Gainesville,                   |         e-mail: [email-masked]
Florida 32611-7200             |   
--                                                                    --